Page MenuHomePhabricator

Replace cp -a in various Clang tests
ClosedPublic

Authored by hubert.reinterpretcast on Dec 22 2017, 9:21 AM.

Details

Summary

cp -a is neither part of POSIX nor the LSB. The nearest equivalent under POSIX is cp -RPp; however, cp -R is sufficient for the intended purpose.

test/Modules/crash-vfs-headermaps.m is not updated since it requires system-darwin anyway.

Diff Detail

Repository
rC Clang

Event Timeline

Maybe cp -R is sufficient? cp -RPp was the just-to-be-safe "minimal change".

bruno accepted this revision.Jan 2 2018, 3:55 PM
bruno added a subscriber: bruno.

Hi Hubert,

Thanks for fixing this. cp -R is sufficient IMO. LGTM

This revision is now accepted and ready to land.Jan 2 2018, 3:55 PM

I'll commit with cp -R tomorrow then; thanks.

Use cp -R, which is sufficient instead of cp -RPp

hubert.reinterpretcast edited the summary of this revision. (Show Details)Jan 3 2018, 5:12 PM
This revision was automatically updated to reflect the committed changes.